<p align="center">
  <br>
    <img src="https://image.ibb.co/cZ1q5f/awesome-actions.jpg" />
  <br>
  <br>
  <br>
</p>

## Awesome Actions [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of awesome things related to [GitHub Actions](https://github.com/features/actions).

Actions are triggered by GitHub platform events directly in a repo and run on-demand workflows as autoscaled containers in response. With GitHub Actions you can automate your workflow from idea to production.

## Contents

- [Official Resources](#official-resources)
- [Community Resources](#community-resources)
- [Tutorials](#tutorials)

### Official Resources

- [Official Site](https://github.com/features/actions)
- [Documentation](https://developer.github.com/actions/)
- [Official Actions Collection](https://github.com/actions)
- [GitHub Blog Announcement](https://blog.github.com/2018-10-17-action-demos/)

### Community Resources

- [Set pull request reviewers based on assignees](https://github.com/pullreminders/assignee-to-reviewer-action)
- [Deploy a Node.js App to Azure](https://github.com/sdras/example-azure-node)
- [Use HashiCorp's Terraform](https://github.com/hashicorp/terraform-github-actions)
- [Trigger emails with release notes with SendGrid](https://github.com/bitoiu/release-notify-action)
- [Deploy to Netlify](https://github.com/netlify/actions)
- [Home Assistant Command](https://github.com/maddox/actions/tree/master/home-assistant)
- [Sleep](https://github.com/maddox/actions/tree/master/sleep)
- [Wait for 200](https://github.com/maddox/actions/tree/master/wait-for-200)
- [Firebase](https://github.com/natemoo-re/action-firebase)
- [SSH](https://github.com/maddox/actions/tree/master/ssh)
- [Deploy to any Cloud or Kubernetes Using Pulumi](https://github.com/pulumi/actions)
- [Using surge.sh, deploy your branch specific storybook as a pull request deployment](https://github.com/codeship/storybook-surge-github-action)
- [Post a Slack message as a bot](https://github.com/pullreminders/slack-action)
- [Report webpack stats to packtracker.io](https://github.com/packtracker/github-action)
- [Deploy a Probot App using Actions](https://probot.github.io/docs/deployment/#github-actions)
- [Deploy a playlist to Spotify](https://github.com/swinton/SpotHub)
- [Use a Jenkinsfile](https://github.com/jonico/jenkinsfile-runner-github-actions)
- [NPM Audit](https://github.com/JasonEtco/npm-audit-fix-action)
- [Cleanup branches after merge](https://github.com/jessfraz/branch-cleanup-action)
- [Post gif on check fail](https://github.com/jessfraz/shaking-finger-action)
- [Send an SMS from GitHub Actions using Nexmo](https://github.com/nexmo-community/nexmo-sms-action)
- [Send a Slack message](https://github.com/apex/actions/tree/master/slack)
- [Node.js Actions Toolkit](https://github.com/JasonEtco/actions-toolkit)
- [Deploy a serverless app to AWS Lambda with Up](https://github.com/apex/actions/tree/master/up)
- [Deploy serverless infrastructure with AWS SAM](https://github.com/apex/actions/tree/master/aws/sam)
- [Deploy a Node.js function to AWS Lambda and invoke it using the Serverless framework](https://github.com/swinton/serverless)
- [Deploy VS Code extensions with vsce](https://github.com/lannonbr/vsce-action)
- [Build a Jekyll site—with Custom Jekyll Plugins & Build Scripts—and deploy it back to the Gh-Pages Branch](https://github.com/BryanSchuetz/jekyll-deploy-gh-pages)
- [Deploy a Cloudflare worker](https://github.com/cpilsworth/cloudflare-worker-action)
- [Execute Gradle task](https://github.com/MrRamych/gradle-actions)
- [Declaratively setup GitHub Labels](https://github.com/lannonbr/issue-label-manager-action)
- [GitHub Actions for Yarn](https://github.com/Borales/actions-yarn)
- [Snyk CLI Test Action](https://github.com/clarkio/snyk-cli-action)
- [PowerShell static analysis with PSScriptAnalyzer](https://github.com/devblackops/github-action-psscriptanalyzer)
- [JS Build Actions](https://github.com/elstudio/actions-js-build) Run Grunt or Gulp build tasks and commit file changes
- [Ember CLI Actions](https://github.com/NuckChorris/ember-cli-actions)
- [Runs Hadolint against a Dockerfile within a repository](https://github.com/burdzwastaken/hadolint-action)
- [Send email on failed GitHub Checks](https://github.com/cirrus-actions/email)
- [Automatically rebase a PR](https://github.com/cirrus-actions/rebase)
- [Run psake tasks](https://github.com/devblackops/psake-github-actions)
- [Update Twitter status](https://github.com/xorilog/twitter-action)
- [GitHub Actions for Golang](https://github.com/cedrickring/golang-action)
- [Configure a DNS Record on Cloudflare](https://github.com/xorilog/cloudflare-dns-action)
- [GitHub Action for Gatsby CLI](https://github.com/jzweifel/gatsby-cli-github-action)
- [Send a Discord notification](https://github.com/Ilshidur/action-discord)
- [GraphQL Inspector Action](https://github.com/kamilkisiela/graphql-inspector)
- [Build Hugo static content site and publish it to gh-pages branch](https://github.com/khanhicetea/gh-actions-hugo-deploy-gh-pages)


### Tutorials

- [Introducing GitHub Actions](https://css-tricks.com/introducing-github-actions/)
- [Deploying to Firebase Hosting with GitHub Actions](https://natemoo.re/posts/action-firebase)
- [Building GitHub Actions in Node.js](https://jasonet.co/posts/building-github-actions-in-node/)

> Please don't hesitate to make a PR if you have more resources to share. Check out [contributing.md](contributing.md) for more information

## License

[![Creative Commons License](http://i.creativecommons.org/p/zero/1.0/88x31.png)](http://creativecommons.org/publicdomain/zero/1.0/)
